<?


$username  = $_POST["username"];
$password  = $_POST["password"];
$select  = $_POST["select"];

	include("./config.inc.php");	//ตั้งค่าต่างๆของเวปบอร์ด
	include("./function.php");		//ฟังก์ชั่นที่ใช้ในเวปบอร์ด
if($select=="admin")
   {
	if ( ($username==$admin_user && $password==$admin_pwd) ) {
		//สร้างรหัสผ่าน 12 ตัวอักษร
		$allow = "abcdefghijkmnpqrstuvwxyz1234567890ABCDEFGHJKLMNOPQRSTUVWXYZ"; 
		srand((double)microtime()*1000000);
		for($i=0; $i<12; $i++) { 
			$key .= $allow[rand()%strlen($allow)]; 
		}

		// บันทึกค่า Key  ลงในไฟล์
		$FILE=fopen("key.pass","w+");
		flock($FILE,2);
		fputs($FILE,$key);
		flock($FILE,3);
		fclose($FILE);
	
		header("Location: admin.php?key=$key");
	}else
	{
		echo Message(70,"red","ไม่อนุญาตให้เข้าใช้หน้า User ","อาจเพราะ Username และหรือ Password ไม่ถูกต้อง<br>หรือยังไม่ได้ Login เข้าระบบ","<a href='./login.php'>Login อีกครั้ง</a>");
		exit();
	}
   }
   else
   {  
   
	$filename="member.txt";
		if(file_exists($filename)) 
	   {	// ถ้ามีไฟล์หัวข้อคำถาม
		$dat01 = file($filename);
          $num=0;
		  for( $i=0 ; $i<sizeof($dat01) ; $i++)
		  {
         // แยกข้อมูลในแต่ละบรรทัด ออกเป็นฟิลด์ย่อย
  		    $split = explode("|X|",$dat01[$i]);
			if($split[1]==$username)
			  {
			      $admin_user=$split[1];
			      $admin_pwd=$split[2];
				  $nu=$i;
			  }
		  }	
       }	   
	      
	if ( ($username==$admin_user && $password==$admin_pwd) ) {

		//สร้างรหัสผ่าน 12 ตัวอักษร
		$allow = "abcdefghijkmnpqrstuvwxyz1234567890ABCDEFGHJKLMNOPQRSTUVWXYZ"; 
		srand((double)microtime()*1000000);
		for($i=0; $i<12; $i++) { 
			$key .= $allow[rand()%strlen($allow)]; 
		}

		// บันทึกค่า Key  ลงในไฟล์
		$filen="$admin_user.pass";
		$FILE=fopen("$admin_user.pass","w+");
		flock($FILE,2);
		fputs($FILE,$key);
		flock($FILE,3);
		fclose($FILE);
	
//		header("Location: ./editbyuser.php?key=$key&user=$admin_user");
//echo "+++++++++++++test++++++++++++++";	
		header("Location:manager.php?key=$key&user=$admin_user");
	}else
	{
		echo Message(70,"red","ไม่อนุญาตให้เข้าใช้หน้า Admin ","อาจเพราะ Username และหรือ Password ไม่ถูกต้อง<br>หรือยังไม่ได้ Login เข้าระบบ","<a href='./login.php'>Login อีกครั้ง</a>");
		exit();
	}
   
   }
?>
